Bug 1300251 - clientCaps.py : IndexError: string index out of range
clientCaps.py : IndexError: string index out of range
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
2.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2016-01-20 05:59 EST by Lukáš Hellebrandt
Modified: 2017-09-28 14:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-16 04:00:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback (801 bytes, text/plain)
2016-01-20 05:59 EST, Lukáš Hellebrandt
no flags Details

  None (edit)
Description Lukáš Hellebrandt 2016-01-20 05:59:30 EST
Created attachment 1116582 [details]
Traceback

Description of problem:
When running/importing /usr/share/rhn/up2date_client/clientCaps.py , traceback occurs (attached).

Version-Release number of selected component (if applicable):
rhn-client-tools-2.5.9-1

How reproducible:
With a file with empty line in /etc/sysconfig/rhn/clientCaps.d/

Steps to Reproduce:
1. echo -e 'a\n\nb\n' > /etc/sysconfig/rhn/clientCaps.d/filename
2. from up2date_client import clientCaps


Actual results:
Traceback

Expected results:
No traceback
Comment 1 Pavel Studeník 2016-01-21 09:53:01 EST
The traceback is caused parsing empty line in configure file /etc/sysconfig/rhn/clientCaps.d/configfiles

I created pull request

https://github.com/spacewalkproject/spacewalk/pull/343/
Comment 2 Grant Gainey 2016-01-22 08:38:55 EST
spacewalk.github: deb2e81a2c25cc3d7d6a49985f3962b5bb68288d
Comment 3 Tomáš Kašpárek 2016-06-16 04:00:16 EDT
Spacewalk 2.5 was released.
Comment 4 Eric Herget 2017-09-28 14:08:49 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.